org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.Restore

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest<CollectionAdminResponse>
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest
      - - org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionSpecificAdminRequest
        - - org.apache.solr.client.solrj.request.CollectionAdminRequest.Restore

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    CollectionAdminRequest<T extends CollectionAdminResponse>

      public static class CollectionAdminRequest.Restore
      extends CollectionAdminRequest.AsyncCollectionSpecificAdminRequest

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

      `CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.AsyncCollectionAdminRequest, CollectionAdminRequest.AsyncCollectionSpecificAdminRequest, CollectionAdminRequest.AsyncShardSpecificAdminRequest, CollectionAdminRequest.Backup, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.CreateSnapshot, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteNode, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.DeleteSnapshot, CollectionAdminRequest.DeleteStatus, CollectionAdminRequest.ForceLeader, CollectionAdminRequest.List, CollectionAdminRequest.ListSnapshots, CollectionAdminRequest.Migrate, CollectionAdminRequest.MigrateClusterState, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.RebalanceLeaders, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.ReplaceNode, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.RequestStatusResponse, CollectionAdminRequest.Restore, CollectionAdminRequest.ShardSpecificAdminRequest, CollectionAdminRequest.SplitShard`

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `autoAddReplicas`
    `protected String` | `backupName`
    `protected String` | `configName`
    `protected String` | `location`
    `protected Integer` | `maxShardsPerNode`
    `protected Properties` | `properties`
    `protected Integer` | `replicationFactor`
    `protected Optional<String>` | `repositoryName`

    - ### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionSpecificAdminRequest

      `collection`

    - ### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

      `asyncId`

    - ### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

      `action`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Restore(String collection, String backupName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `getAutoAddReplicas()`
    `String` | `getConfigName()`
    `String` | `getLocation()`
    `Integer` | `getMaxShardsPerNode()`
    `SolrParams` | `getParams()`
    `Properties` | `getProperties()`
    `Integer` | `getReplicationFactor()`
    `Optional<String>` | `getRepositoryName()`
    `CollectionAdminRequest.Restore` | `setAsyncId(String id)`
    `CollectionAdminRequest.Restore` | `setAutoAddReplicas(boolean autoAddReplicas)`
    `CollectionAdminRequest.Restore` | `setCollectionName(String collection)`
    `CollectionAdminRequest.Restore` | `setConfigName(String config)`
    `CollectionAdminRequest.Restore` | `setLocation(String location)`
    `CollectionAdminRequest.Restore` | `setMaxShardsPerNode(int maxShardsPerNode)`
    `CollectionAdminRequest.Restore` | `setProperties(Properties properties)`
    `CollectionAdminRequest.Restore` | `setReplicationFactor(Integer repl)`
    `CollectionAdminRequest.Restore` | `setRepositoryName(String repositoryName)`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

      `createResponse, getAsyncId, processAndWait, processAndWait, processAsync, processAsync`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

      `addProperties, addReplicaByRouteKey, addReplicaProperty, addReplicaToShard, addRole, backupCollection, balanceReplicaProperty, createAlias, createCollection, createCollection, createCollectionWithImplicitRouter, createShard, deleteAlias, deleteAllAsyncIds, deleteAsyncId, deleteCollection, deleteReplica, deleteReplicaProperty, deleteReplicasFromAllShards, deleteReplicasFromShard, deleteShard, forceLeaderElection, getClusterStatus, getContentStreams, getOverseerStatus, listCollections, migrateCollectionFormat, migrateData, rebalanceLeaders, reloadCollection, removeRole, requestStatus, restoreCollection, setClusterProperty, splitShard, waitForAsyncRequest`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### backupName

          protected final String backupName

    - #### repositoryName

          protected Optional<String> repositoryName

    - #### location

          protected String location

    - #### configName

          protected String configName

    - #### maxShardsPerNode

          protected Integer maxShardsPerNode

    - #### replicationFactor

          protected Integer replicationFactor

    - #### autoAddReplicas

          protected Boolean autoAddReplicas

    - #### properties

          protected Properties properties

  - ### Constructor Detail

    - #### Restore

          public Restore(String collection,
                         String backupName)

  - ### Method Detail

    - #### setAsyncId

          public CollectionAdminRequest.Restore setAsyncId(String id)

      Overrides:
        `setAsyncId` in class `CollectionAdminRequest.AsyncCollectionAdminRequest`

    - #### setCollectionName

          public CollectionAdminRequest.Restore setCollectionName(String collection)

      Specified by:
        `setCollectionName` in class `CollectionAdminRequest.AsyncCollectionSpecificAdminRequest`

    - #### getLocation

          public String getLocation()

    - #### setLocation

          public CollectionAdminRequest.Restore setLocation(String location)

    - #### getRepositoryName

          public Optional<String> getRepositoryName()

    - #### setRepositoryName

          public CollectionAdminRequest.Restore setRepositoryName(String repositoryName)

    - #### setConfigName

          public CollectionAdminRequest.Restore setConfigName(String config)

    - #### getConfigName

          public String getConfigName()

    - #### getMaxShardsPerNode

          public Integer getMaxShardsPerNode()

    - #### setMaxShardsPerNode

          public CollectionAdminRequest.Restore setMaxShardsPerNode(int maxShardsPerNode)

    - #### getReplicationFactor

          public Integer getReplicationFactor()

    - #### setReplicationFactor

          public CollectionAdminRequest.Restore setReplicationFactor(Integer repl)

    - #### getAutoAddReplicas

          public Boolean getAutoAddReplicas()

    - #### setAutoAddReplicas

          public CollectionAdminRequest.Restore setAutoAddReplicas(boolean autoAddReplicas)

    - #### getProperties

          public Properties getProperties()

    - #### setProperties

          public CollectionAdminRequest.Restore setProperties(Properties properties)

    - #### getParams

          public SolrParams getParams()

      Overrides:
        `getParams` in class `CollectionAdminRequest.AsyncCollectionSpecificAdminRequest`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.